Summary: GNU Plotting Utilities
Name: plotutils
Version: 2.2
Release: 2
Group: Applications/Graphics
Copyright: GPL
Url: http://www.gnu.org/software/plotutils/plotutils.html
Packager: Hao Li <hli@wag.caltech.edu>
Source: ftp://ftp.gnu.org/gnu/plotutils/plotutils-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-root

%description 
The GNU plotting utilities include: (1) Sample command-line applications
`graph', `plot', `tek2plot', and `plotfont', which are built on top of the
GNU libplot DLL.  `graph' is a powerful utility for XY plotting, `plot'
translates GNU metafiles to other formats, `tek2plot' translates legacy
Tektronix data, and `plotfont' plots character maps.  (2) GNU libplot, the
underlying DLL for two-dimensional device-independent vector graphics and
vector graphics animation under the X Window System.  Output formats
include X11, Adobe Illustrator, Postscript (editable with the free `idraw'
drawing editor), Fig (editable with the free `xfig' drawing editor), PCL 5,
HP-GL and HP-GL/2, Tektronix, and GNU metafile format.  Many Postscript,
PCL, and Hershey fonts are supported.  (3) Command-line applications
`spline', `double', and `ode', which are useful in scientific plotting.
`spline' does spline interpolation of input data of arbitrary
dimensionality.  It uses cubic splines, splines under tension, or cubic
Bessel interpolation.  `ode' is an interactive program that can integrate a
user-specified system of ordinary differential equations.


%prep
%setup -q


%build
./configure --prefix=/usr
make CFLAGS="$RPM_OPT_FLAGS"
make -C info plotutils.ps
gzip -9f info/plotutils.ps


%install
rm -rf $RPM_BUILD_ROOT
make install-strip DESTDIR=$RPM_BUILD_ROOT
gzip -9f $RPM_BUILD_ROOT/usr/info/plotutils.info

# Collect files for %doc
mkdir -p rpm_doc/fonts
cp -p fonts/{README,fonts*.append,u_fonts.c} rpm_doc/fonts


%post
/sbin/install-info /usr/info/plotutils.info.gz /usr/info/dir
/sbin/ldconfig

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete /usr/info/plotutils.info.gz /usr/info/dir
fi

%postun
/sbin/ldconfig


%files
%defattr(-,root,root)
%doc AUTHORS COMPAT COPYING ChangeLog INSTALL INSTALL.fonts INSTALL.pkg
%doc KNOWN_BUGS NEWS ONEWS PROBLEMS README THANKS TODO
%doc doc info/plotutils.ps.gz rpm_doc/*
/usr/bin/*
/usr/include/*
/usr/info/*
/usr/lib/*
/usr/man/man*/*
/usr/share/libplot
/usr/share/ode
/usr/share/tek2plot


%clean
rm -rf $RPM_BUILD_ROOT
